//chockolateman

#include<bits/stdc++.h>
#include "vision.h"

using namespace std;

std::vector<int> getVisionPattern1d()
{
    vector<int> ret;
    ret.push_back(1);
    ret.push_back(2);
    ret.push_back(3);
    return ret;
}

int nxt(int val)
{
    if(val != 3)
        return val+1;
    return 1;
}

int getMove1d(std::vector<int> v)
{
    int K = v.size();
    int mid = K/2;
    if(v[mid+1]==nxt(v[mid]))
        return mid+1;
    else
        return mid-1;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}